package com.chenyang.nse.bussiness.entity.param;

import com.chenyang.nse.bussiness.entity.vo.TableStructureVO;
import java.util.List;

public class QueryTargetBean {
   private String datasystemid;
   private String username;
   private String password;
   private String schema;
   private List<TableStructureVO> extratablestructure;

   public String getDatasystemid() {
      return this.datasystemid;
   }

   public void setDatasystemid(String datasystemid) {
      this.datasystemid = datasystemid;
   }

   public String getUsername() {
      return this.username;
   }

   public void setUsername(String username) {
      this.username = username;
   }

   public String getPassword() {
      return this.password;
   }

   public void setPassword(String password) {
      this.password = password;
   }

   public String getSchema() {
      return this.schema;
   }

   public void setSchema(String schema) {
      this.schema = schema;
   }

   public List<TableStructureVO> getExtratablestructure() {
      return this.extratablestructure;
   }

   public void setExtratablestructure(List<TableStructureVO> extratablestructure) {
      this.extratablestructure = extratablestructure;
   }
}
